%define uname	nsk_pi
%define piname	nsk
%define libname libNSK_pi
%define Mname   NSK_pi
%global ocpnlibscommit0 facd6f684e8b851619a100e5601626e2002e1d42
%global nskcommit0 bab610cf8bb4ff8d214e09feb18efe72c76fca16

%define _disable_ld_no_undefined 1

Name:		opencpn-nsk-plugin
Summary:	converter of NMEA 0183 messages to SignalK deltas for OpenCPN
Version:	0.2.2
Release:	%mkrel 5
License:	GPLv3+
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/nsk.html
Source0:	https://github.com/nohal/%{uname}/archive/%{nskcommit0}/%{uname}-%{nskcommit0}.tar.gz
Source1:    https://github.com/OpenCPN/opencpn-libs/archive/%{ocpnlibscommit0}/opencpn-libs-%{ocpnlibscommit0}.tar.gz
Patch0:     nsk_pi-Plugin-cmake.patch
Patch1:     opencpn-libs-facd6f6-tinyxml.patch
Patch2:     opencpn-libs-facd6f6-json.patch
Patch3:     opencpn-libs-facd6f6-ocpn_plugin.patch

BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:  git
BuildRequires:	wxgtku3.2-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(RapidJSON)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:  marnav
BuildRequires:  marnav-devel


Requires:	opencpn
Provides:	%{piname} = %{version}

%description
The primary purpose of the NSK plugin is to provide data for the DashboardSK Plugin in small installations 
where a proper SignalK data source is not available.
This project provides a converter of NMEA 0183 messages to SignalK deltas for OpenCPN based on the SignalK data model. 


%prep
%setup -a1 -n %{uname}-%{nskcommit0}

%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1

# To be sure to use system rapidjson
rm -rf include/rapidjson

mv opencpn-libs-%{ocpnlibscommit0}/{.,}* opencpn-libs/

%build
%cmake -DCMAKE_POLICY_VERSION_MINIMUM=3.5

%cmake_build

%install

mkdir -p %{buildroot}%{_libdir}/opencpn/
mkdir -p %{buildroot}%{_datadir}/opencpn/plugins/%{Mname}/data

mv  %{_vpath_builddir}/app/NSK-0.2-mageia-*/lib/opencpn/%{libname}.so %{buildroot}%{_libdir}/opencpn
install -Dpm644 data/* %{buildroot}%{_datadir}/opencpn/plugins/%{Mname}/data

%files 
%{_libdir}/opencpn/%{libname}.so
%{_datadir}/opencpn/plugins/%{Mname}/data/


%changelog
* Wed Jun 25 2025 philippedidier <philippedidier> 0.2.2-5.mga10
+ Revision: 2194640
- workaround for cmake 4 correct sources

* Mon Apr 01 2024 philippedidier <philippedidier> 0.2.2-4.mga10
+ Revision: 2053727
- rebuilt with system rapidjson instead of bundled one

* Mon Jun 05 2023 philippedidier <philippedidier> 0.2.2-3.mga9
+ Revision: 1961018
- correct the spec file
- imported package opencpn-nsk-plugin

